# Getting User and Pair Data

The SDK simplifies getting data related to token pairs and strategies. This includes viewing strategy details, seeing what pairs are currently active, and checking if a pair has liquidity.&#x20;

#### To Get User or Pair Data

1. Initialize the SDK with the [Constructor](/developer-guides/carbon-defi-sdk/sdk-functions/constructor.md).
2. Sync strategy data by calling [startDataSync](/developer-guides/carbon-defi-sdk/sdk-functions/startdatasync.md).
3. Call the desired data gathering function:
   * [pairs](/developer-guides/carbon-defi-sdk/sdk-functions/getcachedpairs.md)
   * [hasLiquidityByPair](/developer-guides/carbon-defi-sdk/sdk-functions/hasliquiditybypair.md)
   * [getLiquidityByPair](/developer-guides/carbon-defi-sdk/sdk-functions/getliquiditybypair.md)
   * [getUserStrategies](/developer-guides/carbon-defi-sdk/sdk-functions/getuserstrategies.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/interacting-with-the-sdk/getting-user-and-pair-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
